﻿using JPK_VDEK.Core;
using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Path = System.IO.Path;

namespace JPK_VDEK
{
    /// <summary>
    /// Logika interakcji dla klasy Ogolne.xaml
    /// </summary>
    public partial class Ogolne : UserControl
    {
        public MainWindow win { get; set; }
        
        public Ogolne()
        {
            InitializeComponent();
            var appSettings = ConfigurationManager.AppSettings;
            string path1 = appSettings["JPKOUT"];
            JpkData.getJpk().outScalony = path1;
            this.DataContext = JpkData.getJpk();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Multiselect = false;
            openFileDialog.Title = "Podaj plik do przetworzenia IB";
            openFileDialog.Filter = "XML|*.xml";
            if (openFileDialog.ShowDialog() == true )
            {
                tigl.Text = openFileDialog.FileName;
                string path = tigl.Text;
                string file = Path.GetFileNameWithoutExtension(tigl.Text);
                file = file + "SCAL.xml";
                var appSettings = ConfigurationManager.AppSettings;
                string path1 = appSettings["JPKOUT"];
                file = path1 + "\\" + file;

                JpkData.getJpk().outScalony = file;
                this.DataContext = JpkData.getJpk();
            }

        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {

            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Multiselect = false;
            openFileDialog.Title = "Podaj plik do przetworzenia GL";
            openFileDialog.Filter = "CSV|*.csv";
            if (openFileDialog.ShowDialog() == true)
            {
                tgl.Text = openFileDialog.FileName;
                // wczytywanie pliku csv i wypełnianie struktur 
                if (tigl.Text.Equals("") == true)
                {
                    JpkData.initJpk();
                    string path = tgl.Text;
                    string file = Path.GetFileNameWithoutExtension(tgl.Text);
                    file = file + ".xml";
                    var appSettings = ConfigurationManager.AppSettings;
                    string path1 = appSettings["JPKOUT"];
                    file = path1 + "\\" + file;
                    JpkData.getJpk().outScalony = file;
                    this.DataContext = JpkData.getJpk();
                }
            }
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Multiselect = false;
            openFileDialog.Title = "Podaj plik do przetworzenia IB";
            openFileDialog.Filter = "XML|*.xml";
            if (openFileDialog.ShowDialog() == true)
            {
                JpkData.initJpk();
                tscal.Text = openFileDialog.FileName;
                string file = Path.GetFileNameWithoutExtension(tscal.Text);
                file = file + ".xml";
                file = Path.GetDirectoryName(tgl.Text) + "\\" + file;
                JpkData.getJpk().outScalony = file;
            }

        }

        private void Button_Click_3(object sender, RoutedEventArgs e)
        {
           
        }

        private void Button_Click_4(object sender, RoutedEventArgs e)
        {
            if(tigl.Text.Equals("")==true)
            {
                MessageBox.Show("Brak pliku IGL", "JPK_VDEK");
                return;
            }
            if (tgl.Text.Equals("") == true)
            {
                MessageBox.Show("Brak pliku SAP", "JPK_VDEK");
                return;
            }
            Mouse.OverrideCursor = System.Windows.Input.Cursors.Wait;
            JPK jpk = null;
            
            jpk = JPK.LoadFromFile(tigl.Text);
            int liczbaWSp = 0;
            Decimal podNal = 0;
            int liczbaWZp = 0;
            Decimal podNali = 0;
            foreach (var item in jpk.Ewidencja.SprzedazWiersz)
            {
                JpkData.getJpk().Sumy.K_10 += item.K_10;
                JpkData.getJpk().Sumy.K_11 += item.K_11;
                JpkData.getJpk().Sumy.K_12 += item.K_12;
                JpkData.getJpk().Sumy.K_13 += item.K_13;
                JpkData.getJpk().Sumy.K_14 += item.K_14;
                JpkData.getJpk().Sumy.K_15 += item.K_15;
                JpkData.getJpk().Sumy.K_16 += item.K_16;
                JpkData.getJpk().Sumy.K_17 += item.K_17;
                JpkData.getJpk().Sumy.K_18 += item.K_18;
                JpkData.getJpk().Sumy.K_19 += item.K_19;
                JpkData.getJpk().Sumy.K_20 += item.K_20;
                JpkData.getJpk().Sumy.K_21 += item.K_21;
                JpkData.getJpk().Sumy.K_22 += item.K_22;
                JpkData.getJpk().Sumy.K_23 += item.K_23;
                JpkData.getJpk().Sumy.K_24 += item.K_24;
                JpkData.getJpk().Sumy.K_25 += item.K_25;
                JpkData.getJpk().Sumy.K_26 += item.K_26;
                JpkData.getJpk().Sumy.K_27 += item.K_27;
                JpkData.getJpk().Sumy.K_28 += item.K_28;
                JpkData.getJpk().Sumy.K_29 += item.K_29;
                JpkData.getJpk().Sumy.K_30 += item.K_30;
                JpkData.getJpk().Sumy.K_31 += item.K_31;
                JpkData.getJpk().Sumy.K_32 += item.K_32;
                JpkData.getJpk().Sumy.K_33 += item.K_33;
                JpkData.getJpk().Sumy.K_34 += item.K_34;
                JpkData.getJpk().Sumy.K_35 += item.K_35;
                JpkData.getJpk().Sumy.K_36 += item.K_36;
                JpkData.getJpk().Sumy.SprzedazVAT_Marza += item.SprzedazVAT_Marza;
            }
            foreach (var item in jpk.Ewidencja.ZakupWiersz)
            {
                JpkData.getJpk().Sumy.K_40 += item.K_40;
                JpkData.getJpk().Sumy.K_41 += item.K_41;
                JpkData.getJpk().Sumy.K_42 += item.K_42;
                JpkData.getJpk().Sumy.K_43 += item.K_43;
                JpkData.getJpk().Sumy.K_44 += item.K_44;
                JpkData.getJpk().Sumy.K_45 += item.K_45;
                JpkData.getJpk().Sumy.K_46 += item.K_46;
                JpkData.getJpk().Sumy.K_47 += item.K_47;
                JpkData.getJpk().Sumy.ZakupVAT_Marza += item.ZakupVAT_Marza;
            }
            liczbaWSp = Convert.ToInt32(jpk.Ewidencja.SprzedazCtrl.LiczbaWierszySprzedazy);
            liczbaWZp = Convert.ToInt32(jpk.Ewidencja.ZakupCtrl.LiczbaWierszyZakupow);
            JpkData.setJpk(jpk);
            //  wczytuje sap 
            string[] atr;
            using (StreamReader sr = new StreamReader(tgl.Text, Encoding.Default))
            {
                string line = sr.ReadLine();
                atr = line.Split('|');


                while (!sr.EndOfStream)
                {
                    line = sr.ReadLine();
                    atr = line.Split('|');
                    if (atr[1].Equals("D"))
                    {
                        JPKDeklaracjaPozycjeSzczegolowe d1 = JpkData.getJpk().Deklaracja.PozycjeSzczegolowe;
                        Decimal suma;
                        suma = (Convert.ToDecimal(d1.P_10) + Convert.ToDecimal(atr[2].Replace('.', ',')));

                            d1.P_10 = Math.Round(suma, 0).ToString();
               
                        suma = (Convert.ToDecimal(d1.P_11) + Convert.ToDecimal(atr[3].Replace('.', ',')));
  
                            d1.P_11 = Math.Round(suma, 0).ToString();
                
                        suma = (Convert.ToDecimal(d1.P_12) + Convert.ToDecimal(atr[4].Replace('.', ',')));
             
                            d1.P_12 = Math.Round(suma, 0).ToString();
                    
                        suma = (Convert.ToDecimal(d1.P_13) + Convert.ToDecimal(atr[5].Replace('.', ',')));
                   
                            d1.P_13 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_14) + Convert.ToDecimal(atr[6].Replace('.', ',')));
                  
                            d1.P_14 = Math.Round(suma, 0).ToString();
                     
                        suma = (Convert.ToDecimal(d1.P_15) + Convert.ToDecimal(atr[7].Replace('.', ',')));
                   
                            d1.P_15 = Math.Round(suma, 0).ToString();
                     
                        suma = (Convert.ToDecimal(d1.P_16) + Convert.ToDecimal(atr[8].Replace('.', ',')));
                    
                            d1.P_16 = Math.Round(suma, 0).ToString();
                    
                        suma = (Convert.ToDecimal(d1.P_17) + Convert.ToDecimal(atr[9].Replace('.', ',')));
                    
                            d1.P_17 = Math.Round(suma, 0).ToString();
                       
                        suma = (Convert.ToDecimal(d1.P_18) + Convert.ToDecimal(atr[10].Replace('.', ',')));
                     
                            d1.P_18 = Math.Round(suma, 0).ToString();
                       
                        suma = (Convert.ToDecimal(d1.P_19) + Convert.ToDecimal(atr[11].Replace('.', ',')));
                  
                            d1.P_19 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_20) + Convert.ToDecimal(atr[12].Replace('.', ',')));
                   
                            d1.P_20 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_21) + Convert.ToDecimal(atr[13].Replace('.', ',')));
                  
                            d1.P_21 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_22) + Convert.ToDecimal(atr[14].Replace('.', ',')));
               
                            d1.P_22 = Math.Round(suma, 0).ToString();
                     
                        suma = (Convert.ToDecimal(d1.P_23) + Convert.ToDecimal(atr[15].Replace('.', ',')));
                   
                            d1.P_23 = Math.Round(suma, 0).ToString();
                     
                        suma = (Convert.ToDecimal(d1.P_24) + Convert.ToDecimal(atr[16].Replace('.', ',')));
                 
                            d1.P_24 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_25) + Convert.ToDecimal(atr[17].Replace('.', ',')));
                  
                            d1.P_25 = Math.Round(suma, 0).ToString();
                       
                        suma = (Convert.ToDecimal(d1.P_26) + Convert.ToDecimal(atr[18].Replace('.', ',')));
                    
                            d1.P_26 = Math.Round(suma, 0).ToString();
                       
                        suma = (Convert.ToDecimal(d1.P_27) + Convert.ToDecimal(atr[19].Replace('.', ',')));
                
                            d1.P_27 = Math.Round(suma, 0).ToString();
                     
                        suma = (Convert.ToDecimal(d1.P_28) + Convert.ToDecimal(atr[20].Replace('.', ',')));
                 
                            d1.P_28 = Math.Round(suma, 0).ToString();
                     
                        suma = (Convert.ToDecimal(d1.P_29) + Convert.ToDecimal(atr[21].Replace('.', ',')));
                
                            d1.P_29 = Math.Round(suma, 0).ToString();
                   
                        suma = (Convert.ToDecimal(d1.P_30) + Convert.ToDecimal(atr[22].Replace('.', ',')));
                  
                            d1.P_30 = Math.Round(suma, 0).ToString();
                    
                        suma = (Convert.ToDecimal(d1.P_31) + Convert.ToDecimal(atr[23].Replace('.', ',')));
                   
                            d1.P_31 = Math.Round(suma, 0).ToString();
                       
                        suma = (Convert.ToDecimal(d1.P_32) + Convert.ToDecimal(atr[24].Replace('.', ',')));
                   
                            d1.P_32 = Math.Round(suma, 0).ToString();
                    
                        suma = (Convert.ToDecimal(d1.P_33) + Convert.ToDecimal(atr[25].Replace('.', ',')));
                   
                            d1.P_33 = Math.Round(suma, 0).ToString();
                     
                        suma = (Convert.ToDecimal(d1.P_34) + Convert.ToDecimal(atr[26].Replace('.', ',')));
                   
                            d1.P_34 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_35) + Convert.ToDecimal(atr[27].Replace('.', ',')));
                    
                            d1.P_35 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_36) + Convert.ToDecimal(atr[28].Replace('.', ',')));
                   
                            d1.P_36 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_37) + Convert.ToDecimal(atr[29].Replace('.', ',')));
                  
                            d1.P_37 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_38) + Convert.ToDecimal(atr[30].Replace('.', ',')));
                   
                            d1.P_38 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_39) + Convert.ToDecimal(atr[31].Replace('.', ',')));
                      
                            d1.P_39 = Math.Round(suma, 0).ToString();
                    
                        suma = (Convert.ToDecimal(d1.P_40) + Convert.ToDecimal(atr[32].Replace('.', ',')));
                     
                            d1.P_40 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_41) + Convert.ToDecimal(atr[33].Replace('.', ',')));
                  
                            d1.P_41 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_42) + Convert.ToDecimal(atr[34].Replace('.', ',')));
                     
                            d1.P_42 = Math.Round(suma, 0).ToString();
                     
                        suma = (Convert.ToDecimal(d1.P_43) + Convert.ToDecimal(atr[35].Replace('.', ',')));
                    
                            d1.P_43 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_44) + Convert.ToDecimal(atr[36].Replace('.', ',')));
                   
                            d1.P_44 = Math.Round(suma, 0).ToString();
                       
                        suma = (Convert.ToDecimal(d1.P_45) + Convert.ToDecimal(atr[37].Replace('.', ',')));
                
                            d1.P_45 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_46) + Convert.ToDecimal(atr[38].Replace('.', ',')));
                    
                            d1.P_47 = Math.Round(suma, 0).ToString();
                       
                        suma = (Convert.ToDecimal(d1.P_48) + Convert.ToDecimal(atr[40].Replace('.', ',')));
                   
                            d1.P_48 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_49) + Convert.ToDecimal(atr[41].Replace('.', ',')));
                   
                            d1.P_49 = Math.Round(suma, 0).ToString();
                       
                        suma = (Convert.ToDecimal(d1.P_50) + Convert.ToDecimal(atr[42].Replace('.', ','))) ;
                    
                            d1.P_50 = Math.Round(suma, 0).ToString();
                      
                        suma = (Convert.ToDecimal(d1.P_51) + Convert.ToDecimal(atr[43].Replace('.', ','))) ;
                    
                            d1.P_51 = Math.Round(suma, 0).ToString();
                       
                        suma = (Convert.ToDecimal(d1.P_52) + Convert.ToDecimal(atr[44].Replace('.', ',')));
                     
                            d1.P_52 = Math.Round(suma, 0).ToString();
                        
                        suma = (Convert.ToDecimal(d1.P_53) + Convert.ToDecimal(atr[45].Replace('.', ',')));
                    
                            d1.P_53 = Math.Round(suma, 0).ToString();
                       
                        suma = (Convert.ToDecimal(d1.P_54) + Convert.ToDecimal(atr[46].Replace('.', ',')));
                     
                            d1.P_54 = Math.Round(suma, 0).ToString();
                        
                        /* if (atr[47].Equals("X"))
                         {
                             d1.ItemElementName = ItemChoiceType.P_55;
                             d1.Item = 1;
                             JpkData.getJpk().P55 = true;
                         }
                         if (atr[48].Equals("X"))
                         {
                             d1.ItemElementName = ItemChoiceType.P_56;
                             d1.Item = 1;
                             JpkData.getJpk().P56 = true;
                         }
                         if (atr[49].Equals("X"))
                         {
                             d1.ItemElementName = ItemChoiceType.P_57;
                             d1.Item = 1;
                             JpkData.getJpk().P57 = true;
                         }
                         if (atr[50].Equals("X"))
                         {
                             d1.ItemElementName = ItemChoiceType.P_58;
                             d1.Item = 1;
                             JpkData.getJpk().P58 = true;
                         }
                         if (atr[51].Equals("X"))
                         {
                             d1.P_59 = 1;
                             JpkData.getJpk().P59 = true;
                         }
                         else
                         {
                             d1.P_59 = 0;
                             JpkData.getJpk().P59 = false;
                         }*/
                      //  d1.P_60 = (Convert.ToDecimal(d1.P_60) + Convert.ToDecimal(atr[52].Replace('.', ','))).ToString();
                        if(d1.P_61 != null && (atr[53].Equals("")!=true))
                        {
                      //      d1.P_61 = (Convert.ToDecimal(d1.P_61) + Convert.ToDecimal(atr[53].Replace('.', ','))).ToString();
                        }
                        else if(d1.P_61 == null && atr[53].Equals("") != true)
                        {
                     //       d1.P_61 = Convert.ToDecimal(atr[53].Replace('.', ',')).ToString();
                        }
                      //  d1.P_62 = (Convert.ToDecimal(d1.P_62) + Convert.ToDecimal(atr[54].Replace('.', ','))).ToString();
                        /* if (atr[55].Equals("X"))
                         {
                             d1.P_63 = 1;
                             JpkData.getJpk().P63 = true;
                         }
                         else
                         {
                             d1.P_63 = 0;
                             JpkData.getJpk().P63 = false;
                         }
                         if (atr[56].Equals("X"))
                         {
                             d1.P_64 = 1;
                             JpkData.getJpk().P64 = true;
                         }
                         else
                         {
                             d1.P_64 = 0;
                             JpkData.getJpk().P64 = false;
                         }
                         if (atr[57].Equals("X"))
                         {
                             d1.P_65 = 1;
                             JpkData.getJpk().P65 = true;
                         }
                         else
                         {
                             d1.P_65 = 0;
                             JpkData.getJpk().P65 = false;
                         }
                         if (atr[58].Equals("X"))
                         {
                             d1.P_66 = 1;
                             JpkData.getJpk().P66 = true;
                         }
                         else
                         {
                             d1.P_66 = 0;
                             JpkData.getJpk().P66 = false;
                         }
                         if (atr[59].Equals("X"))
                         {
                             d1.P_67 = 1;
                             JpkData.getJpk().P67 = true;
                         }
                         else
                         {
                             d1.P_67 = 0;
                             JpkData.getJpk().P67 = false;
                         }*/
                       // d1.P_68 = (Convert.ToDecimal(d1.P_68) + Convert.ToDecimal(atr[60].Replace('.', ','))).ToString();
                      //  d1.P_69 = (Convert.ToDecimal(d1.P_69) + Convert.ToDecimal(atr[61].Replace('.', ','))).ToString();
                      //  JpkData.getJpk().Deklaracja.Pouczenia = Convert.ToDecimal(atr[63].Replace('.', ','));
                    }

                    if (atr[1].Equals("S"))
                    {
                        liczbaWSp++;

                        JPKEwidencjaSprzedazWiersz spw = new JPKEwidencjaSprzedazWiersz();
                        JPKSprzedazWierszExt spwext = new JPKSprzedazWierszExt();
                        spw.LpSprzedazy = liczbaWSp.ToString();
                        spw.DataSprzedazy = new DateTime(Convert.ToInt16(atr[3].Substring(0, 4)), Convert.ToInt16(atr[3].Substring(4, 2)), Convert.ToInt16(atr[3].Substring(6, 2)));
                        spw.DataWystawienia = new DateTime(Convert.ToInt16(atr[4].Substring(0, 4)), Convert.ToInt16(atr[4].Substring(4, 2)), Convert.ToInt16(atr[4].Substring(6, 2)));
                        spw.DowodSprzedazy = atr[5];
                        spw.NazwaKontrahenta = atr[6];

                        spw.K_10 = Convert.ToDecimal(atr[8].Replace('.', ','));
                        spw.K_11 = Convert.ToDecimal(atr[9].Replace('.', ','));
                        spw.K_12 = Convert.ToDecimal(atr[10].Replace('.', ','));
                        spw.K_13 = Convert.ToDecimal(atr[11].Replace('.', ','));
                        spw.K_14 = Convert.ToDecimal(atr[12].Replace('.', ','));
                        spw.K_15 = Convert.ToDecimal(atr[13].Replace('.', ','));
                        spw.K_16 = Convert.ToDecimal(atr[14].Replace('.', ','));
                        spw.K_17 = Convert.ToDecimal(atr[15].Replace('.', ','));
                        spw.K_18 = Convert.ToDecimal(atr[16].Replace('.', ','));
                        spw.K_19 = Convert.ToDecimal(atr[17].Replace('.', ','));
                        spw.K_20 = Convert.ToDecimal(atr[18].Replace('.', ','));
                        spw.K_21 = Convert.ToDecimal(atr[19].Replace('.', ','));
                        spw.K_22 = Convert.ToDecimal(atr[20].Replace('.', ','));
                        spw.K_23 = Convert.ToDecimal(atr[21].Replace('.', ','));
                        spw.K_24 = Convert.ToDecimal(atr[22].Replace('.', ','));
                        spw.K_25 = Convert.ToDecimal(atr[23].Replace('.', ','));
                        spw.K_26 = Convert.ToDecimal(atr[24].Replace('.', ','));
                        spw.K_27 = Convert.ToDecimal(atr[25].Replace('.', ','));
                        spw.K_28 = Convert.ToDecimal(atr[26].Replace('.', ','));
                        spw.K_29 = Convert.ToDecimal(atr[27].Replace('.', ','));
                        spw.K_30 = Convert.ToDecimal(atr[28].Replace('.', ','));
                        spw.K_31 = Convert.ToDecimal(atr[29].Replace('.', ','));
                        spw.K_32 = Convert.ToDecimal(atr[30].Replace('.', ','));
                        spw.K_33 = Convert.ToDecimal(atr[31].Replace('.', ','));
                        spw.K_34 = Convert.ToDecimal(atr[32].Replace('.', ','));
                        spw.K_35 = Convert.ToDecimal(atr[33].Replace('.', ','));
                        spw.K_36 = Convert.ToDecimal(atr[34].Replace('.', ','));

                        podNal = podNal + spw.K_16 + spw.K_18 + spw.K_20 + spw.K_24 + spw.K_26 + spw.K_28 + spw.K_30 + spw.K_32 + spw.K_33 + spw.K_34 - spw.K_35 - spw.K_36;

                        spw.SprzedazVAT_Marza = Convert.ToDecimal(atr[35].Replace('.', ','));

                        JpkData.getJpk().Sumy.K_10 += spw.K_10;
                        JpkData.getJpk().Sumy.K_11 += spw.K_11;
                        JpkData.getJpk().Sumy.K_12 += spw.K_12;
                        JpkData.getJpk().Sumy.K_13 += spw.K_13;
                        JpkData.getJpk().Sumy.K_14 += spw.K_14;
                        JpkData.getJpk().Sumy.K_15 += spw.K_15;
                        JpkData.getJpk().Sumy.K_16 += spw.K_16;
                        JpkData.getJpk().Sumy.K_17 += spw.K_17;
                        JpkData.getJpk().Sumy.K_18 += spw.K_18;
                        JpkData.getJpk().Sumy.K_19 += spw.K_19;
                        JpkData.getJpk().Sumy.K_20 += spw.K_20;
                        JpkData.getJpk().Sumy.K_21 += spw.K_21;
                        JpkData.getJpk().Sumy.K_22 += spw.K_22;
                        JpkData.getJpk().Sumy.K_23 += spw.K_23;
                        JpkData.getJpk().Sumy.K_24 += spw.K_24;
                        JpkData.getJpk().Sumy.K_25 += spw.K_25;
                        JpkData.getJpk().Sumy.K_26 += spw.K_26;
                        JpkData.getJpk().Sumy.K_27 += spw.K_27;
                        JpkData.getJpk().Sumy.K_28 += spw.K_28;
                        JpkData.getJpk().Sumy.K_29 += spw.K_29;
                        JpkData.getJpk().Sumy.K_30 += spw.K_30;
                        JpkData.getJpk().Sumy.K_31 += spw.K_31;
                        JpkData.getJpk().Sumy.K_32 += spw.K_32;
                        JpkData.getJpk().Sumy.K_33 += spw.K_33;
                        JpkData.getJpk().Sumy.K_34 += spw.K_34;
                        JpkData.getJpk().Sumy.K_35 += spw.K_35;
                        JpkData.getJpk().Sumy.K_36 += spw.K_36;
                        JpkData.getJpk().Sumy.SprzedazVAT_Marza += spw.SprzedazVAT_Marza;


                        spw.NrKontrahenta = atr[48];
                        if (!atr[50].Equals("PL"))
                        {
                            spw.KodKrajuNadaniaTIN = atr[50];
                        }

                        if (atr[51].Equals("WEW"))
                        {
                            spw.TypDokumentu = TDowoduSprzedazy.WEW;
                            spwext.TypDokumentuExt = "WEW";
                        }
                        if (atr[51].Equals("RO"))
                        {
                            spw.TypDokumentu = TDowoduSprzedazy.RO;
                            spwext.TypDokumentuExt = "RO";
                        }
                        if (atr[51].Equals("FP"))
                        {
                            spw.TypDokumentu = TDowoduSprzedazy.FP;
                            spwext.TypDokumentuExt = "FP";
                        }
                       // spw.GTU_01 = 0;
                      //  spw.GTU_02 = 0;
                        if (atr[52].Equals("X"))
                        {
                            spw.GTU_03 = 1;
                        }
                        else
                        {
                     //       spw.GTU_03 = 0;
                        }
                    //    spw.GTU_04 = 0;
                        if (atr[53].Equals("X"))
                        {
                            spw.GTU_05 = 1;
                        }
                        else
                        {
                    //        spw.GTU_05 = 0;
                        }
                        if (atr[54].Equals("X"))
                        {
                            spw.GTU_06 = 1;
                        }
                        else
                        {
                      //      spw.GTU_06 = 0;
                        }
                        if (atr[55].Equals("X"))
                        {
                            spw.GTU_07 = 1;
                        }
                        else
                        {
                     //       spw.GTU_07 = 0;
                        }
                     //   spw.GTU_08 = 0;
                      //  spw.GTU_09 = 0;
                        if (atr[56].Equals("X"))
                        {
                            spw.GTU_10 = 1;
                        }
                        else
                        {
                     //       spw.GTU_10 = 0;
                        }
                   //     spw.GTU_11 = 0;
                        if (atr[57].Equals("X"))
                        {
                            spw.GTU_12 = 1;
                        }
                        else
                        {
                   //         spw.GTU_12 = 0;
                        }
                        if (atr[58].Equals("X"))
                        {
                            spw.GTU_13 = 1;
                        }
                        else
                        {
                   //         spw.GTU_13 = 0;
                        }
                        if (atr[59].Equals("X"))
                        {
                            spw.SW = 1;
                        }
                        else
                        {
                   //         spw.SW = 0;
                        }
                        if (atr[60].Equals("X"))
                        {
                            spw.EE = 1;
                        }
                        else
                        {
                   //         spw.EE = 0;
                        }
                        if (atr[61].Equals("X"))
                        {
                            spw.TP = 1;
                        }
                        else
                        {
                   //         spw.TP = 0;
                        }
                        if (atr[62].Equals("X"))
                        {
                            spw.TT_WNT = 1;
                        }
                        else
                        {
                   //         spw.TT_WNT = 0;
                        }
                        if (atr[63].Equals("X"))
                        {
                            spw.TT_D = 1;
                        }
                        else
                        {
                   //         spw.TT_D = 0;
                        }
                        if (atr[64].Equals("X"))
                        {
                            spw.MR_T = 1;
                        }
                        else
                        {
                    //        spw.MR_T = 0;
                        }
                        if (atr[65].Equals("X"))
                        {
                            spw.MR_UZ = 1;
                        }
                        else
                        {
                   //         spw.MR_UZ = 0;
                        }
                        if (atr[66].Equals("X"))
                        {
                            spw.I_42 = 1;
                        }
                        else
                        {
                  //          spw.I_42 = 0;
                        }
                        if (atr[67].Equals("X"))
                        {
                            spw.I_63 = 1;
                        }
                        else
                        {
                   //         spw.I_63 = 0;
                        }
                        if (atr[68].Equals("X"))
                        {
                            spw.B_SPV = 1;
                        }
                        else
                        {
                  //          spw.B_SPV = 0;
                        }
                        if (atr[69].Equals("X"))
                        {
                            spw.B_SPV_DOSTAWA = 1;
                        }
                        else
                        {
                   //         spw.B_SPV_DOSTAWA = 0;
                        }
                        if (atr[70].Equals("X"))
                        {
                            spw.B_MPV_PROWIZJA = 1;
                        }
                        else
                        {
                   //         spw.B_MPV_PROWIZJA = 0;
                        }
                        if (atr[71].Equals("X"))
                        {
                            spw.MPP = 1;
                        }
                        else
                        {
                //            spw.MPP = 0;
                        }
                        if (atr[72].Equals("X"))
                        {
                            spw.KorektaPodstawyOpodt = 1;
                        }
                        else
                        {
                     //       spw.KorektaPodstawyOpodt = 0;
                        }
                        spwext.CopyFromBase(spw);
                        JpkData.getJpk().Ewidencja.SprzedazWiersz.Add(spw);
                        JpkData.getJpk().ViewSP.Add(spwext);
                    }
                    if (atr[1].Equals("Z"))
                    {
                        liczbaWZp++;
                        JPKEwidencjaZakupWiersz zaw = new JPKEwidencjaZakupWiersz();
                        JJPKZakupWierszExt zawext = new JJPKZakupWierszExt();
                        zaw.LpZakupu = liczbaWZp.ToString();

                        zaw.DowodZakupu = atr[5];
                        zaw.NazwaDostawcy = atr[6];
                        zaw.NrDostawcy = atr[48];
                        zaw.DataWplywu = new DateTime(Convert.ToInt16(atr[3].Substring(0, 4)), Convert.ToInt16(atr[3].Substring(4, 2)), Convert.ToInt16(atr[3].Substring(6, 2)));
                        zaw.DataZakupu = new DateTime(Convert.ToInt16(atr[4].Substring(0, 4)), Convert.ToInt16(atr[4].Substring(4, 2)), Convert.ToInt16(atr[4].Substring(6, 2)));

                        zaw.K_40 = Convert.ToDecimal(atr[38].Replace('.', ','));
                        zaw.K_41 = Convert.ToDecimal(atr[39].Replace('.', ','));
                        zaw.K_42 = Convert.ToDecimal(atr[42].Replace('.', ','));
                        zaw.K_43 = Convert.ToDecimal(atr[43].Replace('.', ','));

                        zaw.K_44 = Convert.ToDecimal(atr[44].Replace('.', ','));
                        zaw.K_45 = Convert.ToDecimal(atr[45].Replace('.', ','));
                        zaw.K_46 = Convert.ToDecimal(atr[46].Replace('.', ','));
                        zaw.K_47 = Convert.ToDecimal(atr[47].Replace('.', ','));

                        if (!atr[50].Equals("PL"))
                        {
                            zaw.KodKrajuNadaniaTIN = atr[50];
                        }

                        if (atr[51].Equals("MK"))
                        {
                            zaw.DokumentZakupu = TDowoduZakupu.MK;
                            zawext.TypDokumentuExt = "MK";
                        }
                        if (atr[51].Equals("VAT_RR"))
                        {
                            zaw.DokumentZakupu = TDowoduZakupu.VAT_RR;
                            zawext.TypDokumentuExt = "VAT_RR";
                        }
                        if (atr[51].Equals("WEW"))
                        {
                            zaw.DokumentZakupu = TDowoduZakupu.WEW;
                            zawext.TypDokumentuExt = "WEW";
                        }
                        if (atr[70].Equals("X"))
                        {
                            zaw.MPP = 1;
                        }
                        else
                        {
                      //      zaw.MPP = 0;
                        }
                        if (atr[72].Equals("X"))
                        {
                            zaw.IMP = 1;
                        }
                        else
                        {
                    //        zaw.IMP = 0;
                        }
                        if (!atr[73].Equals(""))
                        {
                            zaw.ZakupVAT_Marza = Convert.ToDecimal(atr[73].Replace('.', ','));
                        }
                        JpkData.getJpk().Sumy.K_40 += zaw.K_40;
                        JpkData.getJpk().Sumy.K_41 += zaw.K_41;
                        JpkData.getJpk().Sumy.K_42 += zaw.K_42;
                        JpkData.getJpk().Sumy.K_43 += zaw.K_43;
                        JpkData.getJpk().Sumy.K_44 += zaw.K_44;
                        JpkData.getJpk().Sumy.K_45 += zaw.K_45;
                        JpkData.getJpk().Sumy.K_46 += zaw.K_46;
                        JpkData.getJpk().Sumy.K_47 += zaw.K_47;
                        JpkData.getJpk().Sumy.ZakupVAT_Marza += zaw.ZakupVAT_Marza;

                        podNali = podNali + zaw.K_41 + zaw.K_43 + zaw.K_44 + zaw.K_45 + zaw.K_46 + zaw.K_47;
                        JpkData.getJpk().Ewidencja.ZakupWiersz.Add(zaw);
                        zawext.CopyFromBase(zaw);
                        JpkData.getJpk().ViewZA.Add(zawext);
                    }
                }
                JpkData.getJpk().Ewidencja.SprzedazCtrl.LiczbaWierszySprzedazy = liczbaWSp.ToString();
                JpkData.getJpk().Ewidencja.SprzedazCtrl.PodatekNalezny += podNal;
                JpkData.getJpk().Ewidencja.ZakupCtrl.LiczbaWierszyZakupow = liczbaWZp.ToString();
                JpkData.getJpk().Ewidencja.ZakupCtrl.PodatekNaliczony += podNali;

            }
            JpkData.getJpk().wczytalemGL = true;
            win.DataContext = JpkData.getJpk();
            Mouse.OverrideCursor = null;
 

            this.DataContext = JpkData.getJpk();
            Mouse.OverrideCursor = null;
            MessageBox.Show("Scaliłem plik", "JPK_VDEK");
        }

        private void Button_Click_5(object sender, RoutedEventArgs e)
        {
            Mouse.OverrideCursor = System.Windows.Input.Cursors.Wait;
            string s = JpkData.getJpk().outScalony;
            JPK jpk = JpkData.getBaseJpk();
            Mouse.OverrideCursor = null;
            jpk.SaveToFile(s);
            MessageBox.Show("Wygenerowano plik JPK", "JPK_VDEK");
        }

        private void Button_Click_6(object sender, RoutedEventArgs e)
        {

        }

        private void bgen_Click(object sender, RoutedEventArgs e)
        {
            string path = tgl.Text;
            string[] atr;
            if(tgl.Text.Length == 0)
            {
                return;
            }
            try
            {
                Mouse.OverrideCursor = System.Windows.Input.Cursors.Wait;
                using (StreamReader sr = new StreamReader(path, Encoding.Default))
                {
                    string line = sr.ReadLine();
                    atr = line.Split('|');


                    JpkData.getJpk().Naglowek.KodUrzedu = TKodUS.Item0271;
                    JpkData.getJpk().UsNazwa = "DOLNOŚLĄSKI URZĄD SKARBOWY WE WROCŁAWJU";
                    JpkData.getJpk().Naglowek.WariantFormularza = 1;
                    JpkData.getJpk().Naglowek.KodFormularza.Value = TKodFormularza.JPK_VAT;
                   JpkData.getJpk().Naglowek.Rok = atr[1].Substring(0, 4);
                    JpkData.getJpk().Naglowek.Miesiac = Convert.ToSByte(atr[1].Substring(4, 2));
                    JpkData.getJpk().Naglowek.DataWytworzeniaJPK = new DateTime(Convert.ToInt16(atr[3].Substring(0, 4)), Convert.ToInt16(atr[3].Substring(4, 2)), Convert.ToInt16(atr[3].Substring(6, 2)));

                    TPodmiotDowolnyBezAdresuOsobaNiefizyczna fir = new TPodmiotDowolnyBezAdresuOsobaNiefizyczna();
                    JG jgos = new JG();
                    SpName sp = (SpName)jgos.Lista.FirstOrDefault(s => s.Kod == atr[0]);
                    fir.NIP = sp.NIP;
                    fir.PelnaNazwa = sp.Describe;
                    fir.Telefon = sp.telefon;
                    fir.Email = sp.email;
                    JpkData.getJpk().Podmiot1.Item = fir;
                    if(!atr[0].Equals("CARC"))
                    {
                        JpkData.getJpk().Naglowek.NazwaSystemu = "SAP";
                     }
                    int liczbaWSp = 0;
                    Decimal podNal = 0;
                    int liczbaWZp = 0;
                    Decimal podNali = 0;
                    while (!sr.EndOfStream)
                    {
                        line = sr.ReadLine();
                        atr = line.Split('|');
                        if (atr[1].Equals("D"))
                        {
                            JpkData.getJpk().Deklaracja.PozycjeSzczegolowe = new JPKDeklaracjaPozycjeSzczegolowe();
                            JPKDeklaracjaPozycjeSzczegolowe d1 = JpkData.getJpk().Deklaracja.PozycjeSzczegolowe;
                            JpkData.getJpk().Deklaracja.Pouczenia = 1;
                            JpkData.getJpk().Deklaracja.Naglowek = new JPKDeklaracjaNaglowek();
                            JpkData.getJpk().Deklaracja.Naglowek.KodFormularzaDekl = new JPKDeklaracjaNaglowekKodFormularzaDekl();
                            JpkData.getJpk().Deklaracja.Naglowek.WariantFormularzaDekl = 21;
                            JpkData.getJpk().Deklaracja.Naglowek.KodFormularzaDekl.Value = TKodFormularzaVAT7.VAT7;
                            Decimal war;
                            war = Convert.ToDecimal(atr[2].Replace('.', ','));
                            d1.P_10 = Math.Round(war,0).ToString();
                   
                          
                            war = Convert.ToDecimal(atr[3].Replace('.', ',')); ;
                          
                                d1.P_11 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[4].Replace('.', ',')); ;
                          
                                d1.P_12 = Math.Round(war, 0).ToString();
                            
                            war = Convert.ToDecimal(atr[5].Replace('.', ',')); ;
                           
                                d1.P_13 = Math.Round(war, 0).ToString();
                            
                            war = Convert.ToDecimal(atr[6].Replace('.', ',')); ;
                          
                                d1.P_14 = Math.Round(war, 0).ToString();
                            
                            war = Convert.ToDecimal(atr[7].Replace('.', ',')); ;
                           
                                d1.P_15 = Math.Round(war, 0).ToString();
                            
                            war = Convert.ToDecimal(atr[8].Replace('.', ',')); ;
                           
                                d1.P_16 = Math.Round(war, 0).ToString();
                            
                            war = Convert.ToDecimal(atr[9].Replace('.', ',')); ;
                           
                                d1.P_17 = Math.Round(war, 0).ToString();
                          
                            war = Convert.ToDecimal(atr[10].Replace('.', ',')); ;
                          
                                d1.P_18 = Math.Round(war, 0).ToString();
                            
                            war = Convert.ToDecimal(atr[11].Replace('.', ',')); ;
                          
                                d1.P_19 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[12].Replace('.', ',')); ;
                           
                                d1.P_20 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[13].Replace('.', ',')); ;
                         
                                d1.P_21 = Math.Round(war, 0).ToString();
                          
                            war = Convert.ToDecimal(atr[14].Replace('.', ',')); ;
                          
                                d1.P_22 = Math.Round(war, 0).ToString();
                            
                            war = Convert.ToDecimal(atr[15].Replace('.', ',')); ;
                          
                                d1.P_23 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[16].Replace('.', ',')); ;
                          
                                d1.P_24 = Math.Round(war, 0).ToString();
                          
                            war = Convert.ToDecimal(atr[17].Replace('.', ',')); ;
                          
                                d1.P_25 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[18].Replace('.', ',')); ;
                           
                                d1.P_26 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[19].Replace('.', ',')); ;
                           
                                d1.P_27 = Math.Round(war, 0).ToString();
                            
                            war = Convert.ToDecimal(atr[20].Replace('.', ',')); ;
                          
                                d1.P_28 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[21].Replace('.', ',')); ;
                          
                                d1.P_29 = Math.Round(war, 0).ToString();
                            
                            war = Convert.ToDecimal(atr[22].Replace('.', ',')); ;
                           
                                d1.P_30 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[23].Replace('.', ',')); ;
                          
                                d1.P_31 = Math.Round(war, 0).ToString();
                          
                            war = Convert.ToDecimal(atr[24].Replace('.', ',')); ;
                         
                                d1.P_32 = Math.Round(war, 0).ToString();
                          
                            war = Convert.ToDecimal(atr[25].Replace('.', ',')); ;
                          
                                d1.P_33 = Math.Round(war, 0).ToString();
                          
                            war = Convert.ToDecimal(atr[26].Replace('.', ',')); ;
                         
                                d1.P_34 = Math.Round(war, 0).ToString();
                            
                            war = Convert.ToDecimal(atr[27].Replace('.', ',')); ;
                           
                                d1.P_35 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[28].Replace('.', ',')); ;
                          
                                d1.P_36 = Math.Round(war, 0).ToString();
                          
                            war = Convert.ToDecimal(atr[29].Replace('.', ',')); ;
                          
                                d1.P_37 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[30].Replace('.', ',')); ;
                           
                                d1.P_38 = Math.Round(war, 0).ToString();
                          
                            war = Convert.ToDecimal(atr[31].Replace('.', ',')); ;
                          
                                d1.P_39 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[32].Replace('.', ',')); ;
                         
                                d1.P_40 = Math.Round(war, 0).ToString();
                           
                            war = Convert.ToDecimal(atr[33].Replace('.', ',')); ;
                         
                                d1.P_41 = Math.Round(war, 0).ToString();
                          
                            war = Convert.ToDecimal(atr[34].Replace('.', ',')); ;
                        
                                d1.P_42 = Math.Round(war, 0).ToString();
                          
                            war = Convert.ToDecimal(atr[35].Replace('.', ',')); ;
                        
                                d1.P_43 = Math.Round(war, 0).ToString();
                         
                            war = Convert.ToDecimal(atr[36].Replace('.', ',')); ;
                         
                                d1.P_44 = Math.Round(war, 0).ToString();
                       
                            war = Convert.ToDecimal(atr[37].Replace('.', ',')); ;
                        
                                d1.P_45 = Math.Round(war, 0).ToString();
                         
                            war = Convert.ToDecimal(atr[38].Replace('.', ',')); ;
                       
                                d1.P_46 = Math.Round(war, 0).ToString();
                         
                            war = Convert.ToDecimal(atr[39].Replace('.', ',')); ;
                       
                                d1.P_47 = Math.Round(war, 0).ToString();
                        
                            war = Convert.ToDecimal(atr[40].Replace('.', ',')); ;
                     
                                d1.P_48 = Math.Round(war, 0).ToString();
                     
                            war = Convert.ToDecimal(atr[41].Replace('.', ',')); ;
                  
                                d1.P_49 = Math.Round(war, 0).ToString();
                        
                            war = Convert.ToDecimal(atr[42].Replace('.', ',')); ;

                                d1.P_50 = Math.Round(war, 0).ToString();

                            war = Convert.ToDecimal(atr[43].Replace('.', ',')); ;

                                d1.P_51 = Math.Round(war, 0).ToString();
 
                            war = Convert.ToDecimal(atr[44].Replace('.', ',')); ;
                   
                                d1.P_52 = Math.Round(war, 0).ToString();
                         
                            war = Convert.ToDecimal(atr[45].Replace('.', ',')); ;
                        
                                d1.P_53 = Math.Round(war, 0).ToString();
                         
                            war = Convert.ToDecimal(atr[46].Replace('.', ',')); ;
                            if (war !=0) {
                                d1.P_54 = Math.Round(war, 0).ToString();
                            }
                            if (atr[47].Equals("X"))
                            {
                                d1.ItemElementName = ItemChoiceType.P_55;
                                d1.Item = 1;
                                JpkData.getJpk().P55 = true;
                            }
                            if (atr[48].Equals("X"))
                            {
                                d1.ItemElementName = ItemChoiceType.P_56;
                                d1.Item = 1;
                                JpkData.getJpk().P56 = true;
                            }
                            if (atr[49].Equals("X"))
                            {
                                d1.ItemElementName = ItemChoiceType.P_57;
                                d1.Item = 1;
                                JpkData.getJpk().P57 = true;
                            }
                            if (atr[50].Equals("X"))
                            {
                                d1.ItemElementName = ItemChoiceType.P_58;
                                d1.Item = 1;
                                JpkData.getJpk().P58 = true;
                            }
                            if(atr[51].Equals("X"))
                            {
               
                                d1.P_59 = 1;
                                JpkData.getJpk().P59 = true;
                            }
                            else
                            {
                               // d1.P_59 = 0;
                                JpkData.getJpk().P59 = false;
                            }
                            if (!atr[52].Equals("") && !atr[52].Equals("0.00"))
                            {
                                war = Convert.ToDecimal(atr[52].Replace('.', ','));
                                d1.P_60 = Math.Round(war, 0).ToString();
                            }
                            if (!atr[53].Equals(""))
                            {
                                war = Convert.ToDecimal(atr[53].Replace('.', ','));
                                d1.P_61 = Math.Round(war, 0).ToString();
                            }
                            war = Convert.ToDecimal(atr[54].Replace('.', ','));
                            if (war != 0)
                            {
                                d1.P_62 = Math.Round(war, 0).ToString();
                            }
                            if (atr[55].Equals("X"))
                            {
                                d1.P_63 = 1;
                                JpkData.getJpk().P63 = true;
                            }
                            if (atr[56].Equals("X"))
                            {
                                d1.P_64 = 1;
                                JpkData.getJpk().P64 = true;
                            }
                            if (atr[57].Equals("X"))
                            {
                                d1.P_65 = 1;
                                JpkData.getJpk().P65 = true;
                            }
                            else
                            if (atr[58].Equals("X"))
                            {
                                d1.P_66 = 1;
                                JpkData.getJpk().P66 = true;
                            }
                            if (atr[59].Equals("X"))
                            {
                                d1.P_67 = 1;
                                JpkData.getJpk().P67 = true;
                            }
                            war = Convert.ToDecimal(atr[60].Replace('.', ','));

                                d1.P_68 = Math.Round(war, 0).ToString();
   
                            war = Convert.ToDecimal(atr[61].Replace('.', ',')); ;
                       
                                d1.P_69 = Math.Round(war, 0).ToString();
                       
                            d1.P_ORDZU = "";
                            JpkData.getJpk().Deklaracja.Pouczenia = 1; 
                        }
                       
                        if (atr[1].Equals("S"))
                        {
                            liczbaWSp++;
                            
                            JPKEwidencjaSprzedazWiersz spw = new JPKEwidencjaSprzedazWiersz();
                            JPKSprzedazWierszExt spwext = new JPKSprzedazWierszExt();
                            spw.LpSprzedazy = atr[0];
                            spw.DataSprzedazy = new DateTime(Convert.ToInt16(atr[3].Substring(0, 4)), Convert.ToInt16(atr[3].Substring(4, 2)), Convert.ToInt16(atr[3].Substring(6, 2)));
                            spw.DataWystawienia = new DateTime(Convert.ToInt16(atr[4].Substring(0, 4)), Convert.ToInt16(atr[4].Substring(4, 2)), Convert.ToInt16(atr[4].Substring(6, 2)));
                            spw.DowodSprzedazy = atr[5];
                            spw.NazwaKontrahenta = atr[6];
                            
                            spw.K_10 = Convert.ToDecimal(atr[8].Replace('.', ','));
                            spw.K_11 = Convert.ToDecimal(atr[9].Replace('.', ','));
                            spw.K_12 = Convert.ToDecimal(atr[10].Replace('.', ','));
                            spw.K_13 = Convert.ToDecimal(atr[11].Replace('.', ','));
                            spw.K_14 = Convert.ToDecimal(atr[12].Replace('.', ','));
                            spw.K_15 = Convert.ToDecimal(atr[13].Replace('.', ','));
                            spw.K_16 = Convert.ToDecimal(atr[14].Replace('.', ','));
                            spw.K_17 = Convert.ToDecimal(atr[15].Replace('.', ','));
                            spw.K_18 = Convert.ToDecimal(atr[16].Replace('.', ','));
                            spw.K_19 = Convert.ToDecimal(atr[17].Replace('.', ','));
                            spw.K_20 = Convert.ToDecimal(atr[18].Replace('.', ','));
                            spw.K_21 = Convert.ToDecimal(atr[19].Replace('.', ','));
                            spw.K_22 = Convert.ToDecimal(atr[20].Replace('.', ','));
                            spw.K_23 = Convert.ToDecimal(atr[21].Replace('.', ','));
                            spw.K_24 = Convert.ToDecimal(atr[22].Replace('.', ','));
                            spw.K_25 = Convert.ToDecimal(atr[23].Replace('.', ','));
                            spw.K_26 = Convert.ToDecimal(atr[24].Replace('.', ','));
                            spw.K_27 = Convert.ToDecimal(atr[25].Replace('.', ','));
                            spw.K_28 = Convert.ToDecimal(atr[26].Replace('.', ','));
                            spw.K_29 = Convert.ToDecimal(atr[27].Replace('.', ','));
                            spw.K_30 = Convert.ToDecimal(atr[28].Replace('.', ','));
                            spw.K_31 = Convert.ToDecimal(atr[29].Replace('.', ','));
                            spw.K_32 = Convert.ToDecimal(atr[30].Replace('.', ','));
                            spw.K_33 = Convert.ToDecimal(atr[31].Replace('.', ','));
                            spw.K_34 = Convert.ToDecimal(atr[32].Replace('.', ','));
                            spw.K_35 = Convert.ToDecimal(atr[33].Replace('.', ','));
                            spw.K_36 = Convert.ToDecimal(atr[34].Replace('.', ','));

                            podNal = podNal + spw.K_16 + spw.K_18 + spw.K_20 + spw.K_24 + spw.K_26 + spw.K_28 + spw.K_30 + spw.K_32 + spw.K_33 + spw.K_34 - spw.K_35 - spw.K_36;

                            spw.SprzedazVAT_Marza = Convert.ToDecimal(atr[35].Replace('.', ','));

                            JpkData.getJpk().Sumy.K_10 += spw.K_10;
                            JpkData.getJpk().Sumy.K_11 += spw.K_11;
                            JpkData.getJpk().Sumy.K_12 += spw.K_12;
                            JpkData.getJpk().Sumy.K_13 += spw.K_13;
                            JpkData.getJpk().Sumy.K_14 += spw.K_14;
                            JpkData.getJpk().Sumy.K_15 += spw.K_15;
                            JpkData.getJpk().Sumy.K_16 += spw.K_16;
                            JpkData.getJpk().Sumy.K_17 += spw.K_17;
                            JpkData.getJpk().Sumy.K_18 += spw.K_18;
                            JpkData.getJpk().Sumy.K_19 += spw.K_19;
                            JpkData.getJpk().Sumy.K_20 += spw.K_20;
                            JpkData.getJpk().Sumy.K_21 += spw.K_21;
                            JpkData.getJpk().Sumy.K_22 += spw.K_22;
                            JpkData.getJpk().Sumy.K_23 += spw.K_23;
                            JpkData.getJpk().Sumy.K_24 += spw.K_24;
                            JpkData.getJpk().Sumy.K_25 += spw.K_25;
                            JpkData.getJpk().Sumy.K_26 += spw.K_26;
                            JpkData.getJpk().Sumy.K_27 += spw.K_27;
                            JpkData.getJpk().Sumy.K_28 += spw.K_28;
                            JpkData.getJpk().Sumy.K_29 += spw.K_29;
                            JpkData.getJpk().Sumy.K_30 += spw.K_30;
                            JpkData.getJpk().Sumy.K_31 += spw.K_31;
                            JpkData.getJpk().Sumy.K_32 += spw.K_32;
                            JpkData.getJpk().Sumy.K_33 += spw.K_33;
                            JpkData.getJpk().Sumy.K_34 += spw.K_34;
                            JpkData.getJpk().Sumy.K_35 += spw.K_35;
                            JpkData.getJpk().Sumy.K_36 += spw.K_36;
                            JpkData.getJpk().Sumy.SprzedazVAT_Marza += spw.SprzedazVAT_Marza;


                            spw.NrKontrahenta = atr[48];

                            if (!atr[50].Equals("PL"))
                            {
                                spw.KodKrajuNadaniaTIN = atr[50];
                            }

                            if (atr[51].Equals("WEW"))
                            {
                                spw.TypDokumentu = TDowoduSprzedazy.WEW;
                                spwext.TypDokumentuExt = "WEW";
                            }
                            if (atr[51].Equals("RO"))
                            {
                                spw.TypDokumentu = TDowoduSprzedazy.RO;
                                spwext.TypDokumentuExt = "RO";
                            }
                            if (atr[51].Equals("FP"))
                            {
                                spw.TypDokumentu = TDowoduSprzedazy.FP;
                                spwext.TypDokumentuExt = "FP";
                            }
                         //   spw.GTU_01 = 0;
                        //    spw.GTU_02 = 0;
                            if (atr[52].Equals("X"))
                            {
                                spw.GTU_03 = 1;
                            }
                            else
                            {
                         //       spw.GTU_03 = 0;
                            }
                          //  spw.GTU_04 = 0;
                            if (atr[53].Equals("X"))
                            {
                                spw.GTU_05 = 1;
                            }
                            else
                            {
                         //       spw.GTU_05 = 0;
                            }
                            if (atr[54].Equals("X"))
                            {
                                spw.GTU_06 = 1;
                            }
                            else
                            {
                          //      spw.GTU_06 = 0;
                            }
                            if (atr[55].Equals("X"))
                            {
                                spw.GTU_07 = 1;
                            }
                            else
                            {
                          //      spw.GTU_07 = 0;
                            }
                         //   spw.GTU_08 = 0;
                         //   spw.GTU_09 = 0;
                            if (atr[56].Equals("X"))
                            {
                                spw.GTU_10 = 1;
                            }
                            else
                            {
                         //       spw.GTU_10 = 0;
                            }
                         //   spw.GTU_11 = 0;
                            if (atr[57].Equals("X"))
                            {
                                spw.GTU_12 = 1;
                            }
                            else
                            {
                         //       spw.GTU_12 = 0;
                            }
                            if (atr[58].Equals("X"))
                            {
                                spw.GTU_13 = 1;
                            }
                            else
                            {
                        //        spw.GTU_13 = 0;
                            }
                            if (atr[59].Equals("X"))
                            {
                                spw.SW = 1;
                            }
                            else
                            {
                           //     spw.SW = 0;
                            }
                            if (atr[60].Equals("X"))
                            {
                                spw.EE = 1;
                            }
                            else
                            {
                          //      spw.EE = 0;
                            }
                            if (atr[61].Equals("X"))
                            {
                                spw.TP = 1;
                            }
                            else
                            {
                         //       spw.TP = 0;
                            }
                            if (atr[62].Equals("X"))
                            {
                                spw.TT_WNT = 1;
                            }
                            else
                            {
                         //       spw.TT_WNT = 0;
                            }
                            if (atr[63].Equals("X"))
                            {
                                spw.TT_D = 1;
                            }
                            else
                            {
                        //        spw.TT_D = 0;
                            }
                            if (atr[64].Equals("X"))
                            {
                                spw.MR_T = 1;
                            }
                            else
                            {
                        //        spw.MR_T = 0;
                            }
                            if (atr[65].Equals("X"))
                            {
                                spw.MR_UZ = 1;
                            }
                            else
                            {
                       //         spw.MR_UZ = 0;
                            }
                            if (atr[66].Equals("X"))
                            {
                                spw.I_42 = 1;
                            }
                            else
                            {
                       //         spw.I_42 = 0;
                            }
                            if (atr[67].Equals("X"))
                            {
                                spw.I_63 = 1;
                            }
                            else
                            {
                       //         spw.I_63 = 0;
                            }
                            if (atr[68].Equals("X"))
                            {
                                spw.B_SPV = 1;
                            }
                            else
                            {
                        //        spw.B_SPV = 0;
                            }
                            if (atr[69].Equals("X"))
                            {
                                spw.B_SPV_DOSTAWA = 1;
                            }
                            else
                            {
                        //        spw.B_SPV_DOSTAWA = 0;
                            }
                            if (atr[70].Equals("X"))
                            {
                                spw.B_MPV_PROWIZJA = 1;
                            }
                            else
                            {
                       //         spw.B_MPV_PROWIZJA = 0;
                            }
                            if (atr[71].Equals("X"))
                            {
                                spw.MPP = 1;
                            }
                            else
                            {
                       //         spw.MPP = 0;
                            }
                            if (atr[72].Equals("X"))
                            {
                                spw.KorektaPodstawyOpodt = 1;
                            }
                            else
                            {
                      //          spw.KorektaPodstawyOpodt = 0;
                            }
                            spwext.CopyFromBase(spw);
                            JpkData.getJpk().Ewidencja.SprzedazWiersz.Add(spw);
                            JpkData.getJpk().ViewSP.Add(spwext);
                        }
                        if (atr[1].Equals("Z"))
                        {
                            liczbaWZp++;
                            JPKEwidencjaZakupWiersz zaw = new JPKEwidencjaZakupWiersz();
                            JJPKZakupWierszExt zawext = new JJPKZakupWierszExt();
                            zaw.LpZakupu = atr[0];

                            zaw.DowodZakupu = atr[5];
                            zaw.NazwaDostawcy = atr[6];
                            zaw.NrDostawcy = atr[48];
                            zaw.DataWplywu = new DateTime(Convert.ToInt16(atr[3].Substring(0, 4)), Convert.ToInt16(atr[3].Substring(4, 2)), Convert.ToInt16(atr[3].Substring(6, 2)));
                            zaw.DataZakupu = new DateTime(Convert.ToInt16(atr[4].Substring(0, 4)), Convert.ToInt16(atr[4].Substring(4, 2)), Convert.ToInt16(atr[4].Substring(6, 2)));

                            zaw.K_40 = Convert.ToDecimal(atr[38].Replace('.', ','));
                            zaw.K_41 = Convert.ToDecimal(atr[39].Replace('.', ','));
                            zaw.K_42 = Convert.ToDecimal(atr[42].Replace('.', ','));
                            zaw.K_43 = Convert.ToDecimal(atr[43].Replace('.', ','));

                            zaw.K_44 = Convert.ToDecimal(atr[44].Replace('.', ','));
                            zaw.K_45 = Convert.ToDecimal(atr[45].Replace('.', ','));
                            zaw.K_46 = Convert.ToDecimal(atr[46].Replace('.', ','));
                            zaw.K_47 = Convert.ToDecimal(atr[47].Replace('.', ','));

                            if (!atr[50].Equals("PL"))
                            {
                                zaw.KodKrajuNadaniaTIN = atr[50];
                            }

                            if (atr[51].Equals("MK"))
                            {
                                zaw.DokumentZakupu = TDowoduZakupu.MK;
                                zawext.TypDokumentuExt = "MK";
                            }
                            if (atr[51].Equals("VAT_RR"))
                            {
                                zaw.DokumentZakupu = TDowoduZakupu.VAT_RR;
                                zawext.TypDokumentuExt = "VAT_RR";
                            }
                            if (atr[51].Equals("WEW"))
                            {
                                zaw.DokumentZakupu = TDowoduZakupu.WEW;
                                zawext.TypDokumentuExt = "WEW";
                            }
                            if (atr[70].Equals("X"))
                            {
                                zaw.MPP = 1;
                            }
                            else
                            {
                        //        zaw.MPP = 0;
                            }
                            if (atr[72].Equals("X"))
                            {
                                zaw.IMP = 1;
                            }
                            else
                            {
                       //         zaw.IMP = 0;
                            }
                            if (!atr[73].Equals(""))
                            {
                                zaw.ZakupVAT_Marza = Convert.ToDecimal(atr[73].Replace('.', ','));
                            }
                            JpkData.getJpk().Sumy.K_40 += zaw.K_40;
                            JpkData.getJpk().Sumy.K_41 += zaw.K_41;
                            JpkData.getJpk().Sumy.K_42 += zaw.K_42;
                            JpkData.getJpk().Sumy.K_43 += zaw.K_43;
                            JpkData.getJpk().Sumy.K_44 += zaw.K_44;
                            JpkData.getJpk().Sumy.K_45 += zaw.K_45;
                            JpkData.getJpk().Sumy.K_46 += zaw.K_46;
                            JpkData.getJpk().Sumy.K_47 += zaw.K_47;
                            JpkData.getJpk().Sumy.ZakupVAT_Marza += zaw.ZakupVAT_Marza;

                            podNali = podNali + zaw.K_41 + zaw.K_43 + zaw.K_44 + zaw.K_45 + zaw.K_46 + zaw.K_47;
                            JpkData.getJpk().Ewidencja.ZakupWiersz.Add(zaw);
                            zawext.CopyFromBase(zaw);
                            JpkData.getJpk().ViewZA.Add(zawext);
                        }
                    }
                    JpkData.getJpk().Ewidencja.SprzedazCtrl.LiczbaWierszySprzedazy = liczbaWSp.ToString();
                    JpkData.getJpk().Ewidencja.SprzedazCtrl.PodatekNalezny = podNal;
                    JpkData.getJpk().Ewidencja.ZakupCtrl.LiczbaWierszyZakupow = liczbaWZp.ToString();
                    JpkData.getJpk().Ewidencja.ZakupCtrl.PodatekNaliczony = podNali;

                }
                JpkData.getJpk().wczytalemGL = true;
                win.DataContext = JpkData.getJpk();
                Mouse.OverrideCursor = null;
                MessageBox.Show("Wczytano plik","JPK_VDEK");
            }
            catch (FileNotFoundException ex)
            {
 
            }
        }
    }
}
